Namespaces | Typedefs | Functions
libebook_libcss.h File Reference
`#include <memory>`
`#include <boost/intrusive_ptr.hpp>`
`#include <libcss/libcss.h>`

Go to the source code of this file.

## Namespaces
namespace | libebook

## Typedefs
typedef std::shared_ptr< css_stylesheet > | libebook::CSSStylesheetPtr_t
typedef std::shared_ptr< css_select_ctx > | libebook::CSSSelectCtxPtr_t
typedef std::shared_ptr< css_select_results > | libebook::CSSSelectResultsPtr_t
typedef boost::intrusive_ptr< lwc_string > | libebook::LWCStringPtr_t

## Functions
CSSStylesheetPtr_t | libebook::wrap (css_stylesheet *const p)
CSSSelectCtxPtr_t | libebook::wrap (css_select_ctx *const p)
CSSSelectResultsPtr_t | libebook::wrap (css_select_results *const p)
LWCStringPtr_t | libebook::wrap (lwc_string *const p)
void | intrusive_ptr_add_ref (lwc_string *p)
void | intrusive_ptr_release (lwc_string *p)

## Function Documentation

## ◆ intrusive_ptr_add_ref()

void intrusive_ptr_add_ref | ( | lwc_string * | p | ) |

## ◆ intrusive_ptr_release()

void intrusive_ptr_release | ( | lwc_string * | p | ) |